unofficial mirror of help-guix@gnu.org 
 help / color / mirror / Atom feed
* xounalpp package issues
@ 2021-11-18 16:10 Alexander Asteroth
  2021-11-18 19:19 ` phodina
  0 siblings, 1 reply; 5+ messages in thread
From: Alexander Asteroth @ 2021-11-18 16:10 UTC (permalink / raw)
  To: help-guix

Dear all,

I tried to install xournalpp on guix-system (after guix update && guix
package -u). The installation worked fine (and probably the build does as
well) but the programm fails to run with the following error messages
(see below).

I already tried to manually also install all dependencies mentioned in
the package file (no changes), but don't find what's missing (seems to
be something with missing icons but I have no clue what guix package
might contain what's missing (if that's the cause anyway).

Cheers,
Alex

------------------------

~> xournalpp

(xournalpp:10518): Gdk-CRITICAL **: 17:12:33.725: gdk_atom_intern: assertion 'atom_name != NULL' failed
** Message: 17:12:33.741: TEXTDOMAINDIR = (null), PACKAGE_LOCALE_DIR = /gnu/store/dw4ca44bncb2cl0q7yx53lh1md90dcwg-xournalpp-1.1.0/share/locale, chosen directory = /gnu/store/dw4ca44bncb2cl0q7yx53lh1md90dcwg-xournalpp-1.1.0/share/locale
ALSA lib pcm_dsnoop.c:638:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open slave
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open slave
ALSA lib pcm_dsnoop.c:638:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open slave
** Message: 17:12:33.750: Plugin "MigrateFontSizes" UI initialized

** (xournalpp:10518): WARNING **: 17:12:33.770: Failed to load "colornames.ini" (/home/aster/.config/xournalpp/colornames.ini): No such file or directory

**
Gtk:ERROR:gtkiconhelper.c:494:ensure_surface_for_gicon: assertion failed (error == NULL): Icon 'image-missing' not present in theme Adwaita (gtk-icon-theme-error-quark, 0)
Bail out! Gtk:ERROR:gtkiconhelper.c:494:ensure_surface_for_gicon: assertion failed (error == NULL): Icon 'image-missing' not present in theme Adwaita (gtk-icon-theme-error-quark, 0)

** (xournalpp:10518): WARNING **: 17:12:33.785: [Crash Handler] Crashed with signal 6

** (xournalpp:10518): WARNING **: 17:12:33.785: [Crash Handler] Wrote crash log to: /home/aster/.cache/xournalpp/errorlogs/errorlog.20211118-171233.log

** (xournalpp:10518): WARNING **: 17:12:33.858: Trying to emergency save the current open document…

** (xournalpp:10518): WARNING **: 17:12:33.858: Successfully saved document to "/home/aster/.config/xournalpp/emergencysave.xopp"

------------------------------



^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: xounalpp package issues
  2021-11-18 16:10 xounalpp package issues Alexander Asteroth
@ 2021-11-18 19:19 ` phodina
  2021-11-19  8:40   ` Alexander Asteroth
  0 siblings, 1 reply; 5+ messages in thread
From: phodina @ 2021-11-18 19:19 UTC (permalink / raw)
  To: Alexander Asteroth; +Cc: help-guix

Hi,
‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Thursday, November 18th, 2021 at 5:10 PM, Alexander Asteroth <alexander.asteroth@h-brs.de> wrote:

> Dear all,
>
> I tried to install xournalpp on guix-system (after guix update && guix
>
> package -u). The installation worked fine (and probably the build does as
>
> well) but the programm fails to run with the following error messages
>
> (see below).
>
> I already tried to manually also install all dependencies mentioned in
>
> the package file (no changes), but don't find what's missing (seems to
>
> be something with missing icons but I have no clue what guix package
>
> might contain what's missing (if that's the cause anyway).
>
> Cheers,
>
> Alex
>



I've checked stackoverflow and seems there are several lines in the config that cause this issue. So you might try removing them as suggested here [1].

The problematic package is not xournalpp itself but alsa-lib.

grep pcm.rear $(guix build alsa-lib)/share/alsa/alsa.conf

Hope it helps!

Petr

[1]: https://stackoverflow.com/questions/7088672/pyaudio-working-but-spits-out-error-messages-each-time


^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: xounalpp package issues
  2021-11-18 19:19 ` phodina
@ 2021-11-19  8:40   ` Alexander Asteroth
  2021-11-19  8:57     ` Alexander Asteroth
  0 siblings, 1 reply; 5+ messages in thread
From: Alexander Asteroth @ 2021-11-19  8:40 UTC (permalink / raw)
  To: phodina; +Cc: help-guix

[-- Attachment #1: Type: text/plain, Size: 14340 bytes --]

Hi,

im pretty sure it has nothing to do with ALSA. The ALSA-Messages are
Messages (not even Warnings). Waht causes the signal 6 has to do with
libgtk3. I attached a stack trace below (in case someone has an idea
what might be the reason).

Cheers,
Alex


On Thu, Nov 18 2021, 19:19:27, phodina <phodina@protonmail.com> wrote:

> Hi,
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>
> On Thursday, November 18th, 2021 at 5:10 PM, Alexander Asteroth <alexander.asteroth@h-brs.de> wrote:
>
>> Dear all,
>>
>> I tried to install xournalpp on guix-system (after guix update && guix
>>
>> package -u). The installation worked fine (and probably the build does as
>>
>> well) but the programm fails to run with the following error messages
>>
>> (see below).
>>
>> I already tried to manually also install all dependencies mentioned in
>>
>> the package file (no changes), but don't find what's missing (seems to
>>
>> be something with missing icons but I have no clue what guix package
>>
>> might contain what's missing (if that's the cause anyway).
>>
>> Cheers,
>>
>> Alex
>>
>
>
>
> I've checked stackoverflow and seems there are several lines in the config that cause this issue. So you might try removing them as suggested here [1].
>
> The problematic package is not xournalpp itself but alsa-lib.
>
> grep pcm.rear $(guix build alsa-lib)/share/alsa/alsa.conf
>
> Hope it helps!
>
> Petr
>
> [1]: https://stackoverflow.com/questions/7088672/pyaudio-working-but-spits-out-error-messages-each-time

Date: Fri Nov 19 09:39:41 2021
Error: signal 6
[bt]: (0) /home/[USER]/.guix-profile/bin/xournalpp() [0x5cb0d5]
[bt]: (1) /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(+0x36b20) [0x7f09c3debb20]
[bt]: (2) /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(gsignal+0xca) [0x7f09c3debaba]
[bt]: (3) /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(abort+0x165) [0x7f09c3decbf5]
[bt]: (4) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libglib-2.0.so.0(g_assertion_message+0x195) [0x7f09c547fa65]
[bt]: (5) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libglib-2.0.so.0(g_assertion_message_error+0xae) [0x7f09c548024e]
[bt]: (6) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2059ed) [0x7f09c4e859ed]
[bt]: (7) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206027) [0x7f09c4e86027]
[bt]: (8) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206174) [0x7f09c4e86174]
[bt]: (9) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206328) [0x7f09c4e86328]
[bt]: (10) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2190a4) [0x7f09c4e990a4]
[bt]: (11) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
[bt]: (12) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
[bt]: (13) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2197d3) [0x7f09c4e997d3]
[bt]: (14) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
[bt]: (15) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
[bt]: (16) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
[bt]: (17) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
[bt]: (18) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
[bt]: (19) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x139ef3) [0x7f09c4db9ef3]
[bt]: (20) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
[bt]: (21) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
[bt]: (22) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height+0x91) [0x7f09c4f51491]
[bt]: (23) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
[bt]: (24) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
[bt]: (25) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
[bt]: (26) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d22bd) [0x7f09c4f522bd]
[bt]: (27) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x3279cb) [0x7f09c4fa79cb]
[bt]: (28) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
[bt]: (29) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
[bt]: (30) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x3272e6) [0x7f09c4fa72e6]
[bt]: (31) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
[bt]: (32) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
[bt]: (33) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
[bt]: (34) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x12d032) [0x7f09c4dad032]
[bt]: (35) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
[bt]: (36) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
[bt]: (37) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x12d973) [0x7f09c4dad973]
[bt]: (38) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
[bt]: (39) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
[bt]: (40) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height+0x91) [0x7f09c4f51491]
[bt]: (41) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x128073) [0x7f09c4da8073]
[bt]: (42) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
[bt]: (43) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
[bt]: (44) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height+0x91) [0x7f09c4f51491]
[bt]: (45) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x389772) [0x7f09c5009772]
[bt]: (46) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
[bt]: (47) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
[bt]: (48) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
[bt]: (49) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d22bd) [0x7f09c4f522bd]
[bt]: (50) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x38bd81) [0x7f09c500bd81]
[bt]: (51) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x38fda5) [0x7f09c500fda5]
[bt]: (52) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_closure_invoke+0x19d) [0x7f09c4682b3d]
[bt]: (53) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(+0x27d9e) [0x7f09c4695d9e]
[bt]: (54) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xa45) [0x7f09c469e5b5]
[bt]: (55) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit+0x82) [0x7f09c469ef72]
[bt]: (56) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_realize+0xb6) [0x7f09c5001086]
[bt]: (57) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x38e0bd) [0x7f09c500e0bd]
[bt]: (58) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_closure_invoke+0x19d) [0x7f09c4682b3d]
[bt]: (59) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(+0x27d9e) [0x7f09c4695d9e]
[bt]: (60) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xa45) [0x7f09c469e5b5]
[bt]: (61) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit+0x82) [0x7f09c469ef72]
[bt]: (62) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_show+0xb6) [0x7f09c4ffb286]
[bt]: (63) /home/[USER]/.guix-profile/bin/xournalpp() [0x4da766]
[bt]: (64) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_closure_invoke+0x19d) [0x7f09c4682b3d]
[bt]: (65) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(+0x27cce) [0x7f09c4695cce]
[bt]: (66) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xa45) [0x7f09c469e5b5]
[bt]: (67) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit+0x82) [0x7f09c469ef72]
[bt]: (68) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgio-2.0.so.0(g_application_register+0x122) [0x7f09c47a42b2]
[bt]: (69) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgio-2.0.so.0(+0xd7665) [0x7f09c47a4665]
[bt]: (70) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgio-2.0.so.0(g_application_run+0x156) [0x7f09c47a49a6]
[bt]: (71) /home/[USER]/.guix-profile/bin/xournalpp(_ZN11XournalMain3runEiPPc+0x436) [0x4d3aa6]
[bt]: (72) /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(__libc_start_main+0xed) [0x7f09c3dd7a6d]
[bt]: (73) /home/[USER]/.guix-profile/bin/xournalpp(_start+0x2a) [0x4b3f5a]


Try to get a better stracktrace...
[bt] #1 /home/[USER]/.guix-profile/bin/xournalpp() [0x5cb5df]
??:?
[bt] #2 /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(+0x36b20) [0x7f09c3debb20]
??:0
[bt] #3 /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(gsignal+0xca) [0x7f09c3debaba]
??:0
[bt] #4 /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(abort+0x165) [0x7f09c3decbf5]
??:0
[bt] #5 /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libglib-2.0.so.0(g_assertion_message+0x195) [0x7f09c547fa65]
??:0
[bt] #6 /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libglib-2.0.so.0(g_assertion_message_error+0xae) [0x7f09c548024e]
??:0
[bt] #7 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2059ed) [0x7f09c4e859ed]
??:0
[bt] #8 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206027) [0x7f09c4e86027]
??:0
[bt] #9 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206174) [0x7f09c4e86174]
??:0
[bt] #10 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206328) [0x7f09c4e86328]
??:0
[bt] #11 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2190a4) [0x7f09c4e990a4]
??:0
[bt] #12 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
??:0
[bt] #13 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
??:0
[bt] #14 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2197d3) [0x7f09c4e997d3]
??:0
[bt] #15 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
??:0
[bt] #16 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
??:0
[bt] #17 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
??:0
[bt] #18 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
??:0
[bt] #19 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
??:0
[bt] #20 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x139ef3) [0x7f09c4db9ef3]
??:0
[bt] #21 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
??:0
[bt] #22 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
??:0
[bt] #23 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height+0x91) [0x7f09c4f51491]
??:0
[bt] #24 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
??:0
[bt] #25 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
??:0
[bt] #26 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
??:0
[bt] #27 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d22bd) [0x7f09c4f522bd]
??:0
[bt] #28 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x3279cb) [0x7f09c4fa79cb]
??:0
[bt] #29 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
??:0
[bt] #30 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
??:0
[bt] #31 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x3272e6) [0x7f09c4fa72e6]
??:0

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 524 bytes --]

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: xounalpp package issues
  2021-11-19  8:40   ` Alexander Asteroth
@ 2021-11-19  8:57     ` Alexander Asteroth
  2021-11-19  9:22       ` Daniel Meißner
  0 siblings, 1 reply; 5+ messages in thread
From: Alexander Asteroth @ 2021-11-19  8:57 UTC (permalink / raw)
  To: phodina; +Cc: help-guix

[-- Attachment #1: Type: text/plain, Size: 14998 bytes --]

I found the reason. Xournal++ needs gnome-icon-theme to be installed as
well. So it should probably go into the dependencies of the
package.

-- Alex

On Fri, Nov 19 2021, 09:40:17, Alexander Asteroth <alexander.asteroth@h-brs.de> wrote:

> [[PGP Signed Part:Undecided]]
> Hi,
>
> im pretty sure it has nothing to do with ALSA. The ALSA-Messages are
> Messages (not even Warnings). Waht causes the signal 6 has to do with
> libgtk3. I attached a stack trace below (in case someone has an idea
> what might be the reason).
>
> Cheers,
> Alex
>
>
> On Thu, Nov 18 2021, 19:19:27, phodina <phodina@protonmail.com> wrote:
>
>> Hi,
>> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>>
>> On Thursday, November 18th, 2021 at 5:10 PM, Alexander Asteroth <alexander.asteroth@h-brs.de> wrote:
>>
>>> Dear all,
>>>
>>> I tried to install xournalpp on guix-system (after guix update && guix
>>>
>>> package -u). The installation worked fine (and probably the build does as
>>>
>>> well) but the programm fails to run with the following error messages
>>>
>>> (see below).
>>>
>>> I already tried to manually also install all dependencies mentioned in
>>>
>>> the package file (no changes), but don't find what's missing (seems to
>>>
>>> be something with missing icons but I have no clue what guix package
>>>
>>> might contain what's missing (if that's the cause anyway).
>>>
>>> Cheers,
>>>
>>> Alex
>>>
>>
>>
>>
>> I've checked stackoverflow and seems there are several lines in the config that cause this issue. So you might try removing them as suggested here [1].
>>
>> The problematic package is not xournalpp itself but alsa-lib.
>>
>> grep pcm.rear $(guix build alsa-lib)/share/alsa/alsa.conf
>>
>> Hope it helps!
>>
>> Petr
>>
>> [1]: https://stackoverflow.com/questions/7088672/pyaudio-working-but-spits-out-error-messages-each-time
>
> Date: Fri Nov 19 09:39:41 2021
> Error: signal 6
> [bt]: (0) /home/[USER]/.guix-profile/bin/xournalpp() [0x5cb0d5]
> [bt]: (1) /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(+0x36b20) [0x7f09c3debb20]
> [bt]: (2) /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(gsignal+0xca) [0x7f09c3debaba]
> [bt]: (3) /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(abort+0x165) [0x7f09c3decbf5]
> [bt]: (4) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libglib-2.0.so.0(g_assertion_message+0x195) [0x7f09c547fa65]
> [bt]: (5) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libglib-2.0.so.0(g_assertion_message_error+0xae) [0x7f09c548024e]
> [bt]: (6) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2059ed) [0x7f09c4e859ed]
> [bt]: (7) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206027) [0x7f09c4e86027]
> [bt]: (8) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206174) [0x7f09c4e86174]
> [bt]: (9) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206328) [0x7f09c4e86328]
> [bt]: (10) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2190a4) [0x7f09c4e990a4]
> [bt]: (11) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
> [bt]: (12) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
> [bt]: (13) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2197d3) [0x7f09c4e997d3]
> [bt]: (14) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
> [bt]: (15) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> [bt]: (16) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
> [bt]: (17) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
> [bt]: (18) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
> [bt]: (19) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x139ef3) [0x7f09c4db9ef3]
> [bt]: (20) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
> [bt]: (21) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> [bt]: (22) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height+0x91) [0x7f09c4f51491]
> [bt]: (23) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
> [bt]: (24) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> [bt]: (25) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
> [bt]: (26) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d22bd) [0x7f09c4f522bd]
> [bt]: (27) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x3279cb) [0x7f09c4fa79cb]
> [bt]: (28) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
> [bt]: (29) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
> [bt]: (30) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x3272e6) [0x7f09c4fa72e6]
> [bt]: (31) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
> [bt]: (32) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> [bt]: (33) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
> [bt]: (34) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x12d032) [0x7f09c4dad032]
> [bt]: (35) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
> [bt]: (36) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
> [bt]: (37) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x12d973) [0x7f09c4dad973]
> [bt]: (38) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
> [bt]: (39) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> [bt]: (40) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height+0x91) [0x7f09c4f51491]
> [bt]: (41) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x128073) [0x7f09c4da8073]
> [bt]: (42) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
> [bt]: (43) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> [bt]: (44) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height+0x91) [0x7f09c4f51491]
> [bt]: (45) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x389772) [0x7f09c5009772]
> [bt]: (46) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
> [bt]: (47) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> [bt]: (48) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
> [bt]: (49) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d22bd) [0x7f09c4f522bd]
> [bt]: (50) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x38bd81) [0x7f09c500bd81]
> [bt]: (51) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x38fda5) [0x7f09c500fda5]
> [bt]: (52) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_closure_invoke+0x19d) [0x7f09c4682b3d]
> [bt]: (53) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(+0x27d9e) [0x7f09c4695d9e]
> [bt]: (54) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xa45) [0x7f09c469e5b5]
> [bt]: (55) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit+0x82) [0x7f09c469ef72]
> [bt]: (56) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_realize+0xb6) [0x7f09c5001086]
> [bt]: (57) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x38e0bd) [0x7f09c500e0bd]
> [bt]: (58) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_closure_invoke+0x19d) [0x7f09c4682b3d]
> [bt]: (59) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(+0x27d9e) [0x7f09c4695d9e]
> [bt]: (60) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xa45) [0x7f09c469e5b5]
> [bt]: (61) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit+0x82) [0x7f09c469ef72]
> [bt]: (62) /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_show+0xb6) [0x7f09c4ffb286]
> [bt]: (63) /home/[USER]/.guix-profile/bin/xournalpp() [0x4da766]
> [bt]: (64) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_closure_invoke+0x19d) [0x7f09c4682b3d]
> [bt]: (65) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(+0x27cce) [0x7f09c4695cce]
> [bt]: (66) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit_valist+0xa45) [0x7f09c469e5b5]
> [bt]: (67) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgobject-2.0.so.0(g_signal_emit+0x82) [0x7f09c469ef72]
> [bt]: (68) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgio-2.0.so.0(g_application_register+0x122) [0x7f09c47a42b2]
> [bt]: (69) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgio-2.0.so.0(+0xd7665) [0x7f09c47a4665]
> [bt]: (70) /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libgio-2.0.so.0(g_application_run+0x156) [0x7f09c47a49a6]
> [bt]: (71) /home/[USER]/.guix-profile/bin/xournalpp(_ZN11XournalMain3runEiPPc+0x436) [0x4d3aa6]
> [bt]: (72) /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(__libc_start_main+0xed) [0x7f09c3dd7a6d]
> [bt]: (73) /home/[USER]/.guix-profile/bin/xournalpp(_start+0x2a) [0x4b3f5a]
>
>
> Try to get a better stracktrace...
> [bt] #1 /home/[USER]/.guix-profile/bin/xournalpp() [0x5cb5df]
> ??:?
> [bt] #2 /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(+0x36b20) [0x7f09c3debb20]
> ??:0
> [bt] #3 /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(gsignal+0xca) [0x7f09c3debaba]
> ??:0
> [bt] #4 /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6(abort+0x165) [0x7f09c3decbf5]
> ??:0
> [bt] #5 /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libglib-2.0.so.0(g_assertion_message+0x195) [0x7f09c547fa65]
> ??:0
> [bt] #6 /gnu/store/3374zddwfb0m8711k2jrvhwr1s2fkvq3-glib-2.62.6/lib/libglib-2.0.so.0(g_assertion_message_error+0xae) [0x7f09c548024e]
> ??:0
> [bt] #7 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2059ed) [0x7f09c4e859ed]
> ??:0
> [bt] #8 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206027) [0x7f09c4e86027]
> ??:0
> [bt] #9 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206174) [0x7f09c4e86174]
> ??:0
> [bt] #10 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x206328) [0x7f09c4e86328]
> ??:0
> [bt] #11 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2190a4) [0x7f09c4e990a4]
> ??:0
> [bt] #12 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
> ??:0
> [bt] #13 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
> ??:0
> [bt] #14 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2197d3) [0x7f09c4e997d3]
> ??:0
> [bt] #15 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
> ??:0
> [bt] #16 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> ??:0
> [bt] #17 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
> ??:0
> [bt] #18 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
> ??:0
> [bt] #19 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
> ??:0
> [bt] #20 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x139ef3) [0x7f09c4db9ef3]
> ??:0
> [bt] #21 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1c41) [0x7f09c4f51c41]
> ??:0
> [bt] #22 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> ??:0
> [bt] #23 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height+0x91) [0x7f09c4f51491]
> ??:0
> [bt] #24 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d172c) [0x7f09c4f5172c]
> ??:0
> [bt] #25 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d1ea3) [0x7f09c4f51ea3]
> ??:0
> [bt] #26 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(gtk_widget_get_preferred_height_and_baseline_for_width+0xb5) [0x7f09c4f52195]
> ??:0
> [bt] #27 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x2d22bd) [0x7f09c4f522bd]
> ??:0
> [bt] #28 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x3279cb) [0x7f09c4fa79cb]
> ??:0
> [bt] #29 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17b503) [0x7f09c4dfb503]
> ??:0
> [bt] #30 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x17f591) [0x7f09c4dff591]
> ??:0
> [bt] #31 /gnu/store/a6fzx4qgriak4aa271nlp4fzkanx5jk9-gtk+-3.24.24/lib/libgtk-3.so.0(+0x3272e6) [0x7f09c4fa72e6]
> ??:0
>
> [[End of PGP Signed Part]]


[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 524 bytes --]

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: xounalpp package issues
  2021-11-19  8:57     ` Alexander Asteroth
@ 2021-11-19  9:22       ` Daniel Meißner
  0 siblings, 0 replies; 5+ messages in thread
From: Daniel Meißner @ 2021-11-19  9:22 UTC (permalink / raw)
  To: Alexander Asteroth; +Cc: help-guix

Hi Alexander,

> I found the reason. Xournal++ needs gnome-icon-theme to be installed
> as well. So it should probably go into the dependencies of the
> package.

I can confirm this.  I have never had any issues with Xournal++ and Guix
but I use Gnome as my desktop environment so the gnome-icon-theme was
already in the system profile.  Indeed, if I run it in a pure
environment , I can reproduce the error:

--8<---------------cut here---------------start------------->8---
$ guix shell --pure xournalpp -- xournalpp
** Message: 10:08:54.258: TEXTDOMAINDIR = (null), PACKAGE_LOCALE_DIR = /gnu/store/dw4ca44bncb2cl0q7yx53lh1md90dcwg-xournalpp-1.1.0/share/locale, chosen directory = /gnu/store/dw4ca44bncb2cl0q7yx53lh1md90dcwg-xournalpp-1.1.0/share/locale
ALSA lib pcm_dsnoop.c:638:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_route.c:877:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:877:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:877:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_dsnoop.c:638:(snd_pcm_dsnoop_open) unable to open slave
** Message: 10:08:54.289: Plugin "MigrateFontSizes" UI initialized
**
Gtk:ERROR:gtkiconhelper.c:494:ensure_surface_for_gicon: assertion failed (error == NULL): Icon 'image-missing' not present in theme Adwaita (gtk-icon-theme-error-quark, 0)
Bail out! Gtk:ERROR:gtkiconhelper.c:494:ensure_surface_for_gicon: assertion failed (error == NULL): Icon 'image-missing' not present in theme Adwaita (gtk-icon-theme-error-quark, 0)

** (xournalpp:2068): WARNING **: 10:08:54.371: [Crash Handler] Crashed with signal 6

** (xournalpp:2068): WARNING **: 10:08:54.371: [Crash Handler] Wrote crash log to: /home/daniel/.cache/xournalpp/errorlogs/errorlog.20211119-100854.log

** (xournalpp:2068): WARNING **: 10:08:54.478: Trying to emergency save the current open document?

** (xournalpp:2068): WARNING **: 10:08:54.478: Successfully saved document to "/home/daniel/.config/xournalpp/emergencysave.xopp"
--8<---------------cut here---------------end--------------->8---

This is with the current Guix 188e3e2e6878346b0bdc8b46084f458abe86826c.
I think this is definitely a bug and I have filed a bug report [1].

@Alexander: Do you want to work on that issue and provide a patch that
adds the missing dependency?

Best
Daniel

1: https://issues.guix.gnu.org/51968


^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2021-11-19  9:22 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-11-18 16:10 xounalpp package issues Alexander Asteroth
2021-11-18 19:19 ` phodina
2021-11-19  8:40   ` Alexander Asteroth
2021-11-19  8:57     ` Alexander Asteroth
2021-11-19  9:22       ` Daniel Meißner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).